<?php
/*
 Newswriter v2.56
 PHP News Management System
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 article.php, last change: 01.09.2002
*/

$config_only = true;
require('./conf.php');
include($NWCONF_SYSTEM['server_path'].'include/initvars.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/text-in.inc'.$NWCONF_SYSTEM['php_ext']);
require($NWCONF_SYSTEM['server_path'].'include/newsindex.inc'.$NWCONF_SYSTEM['php_ext']);

if (!$HTTP_GET_VARS['article_file']) {
  $all_article_files = get_filelist($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir']);
  $HTTP_GET_VARS['article_file'] = basename($all_article_files[0]);
}
$month_dir = strftime('%Y%m',$HTTP_GET_VARS['article_file']);
$news_file = preg_replace('#\..*$#', '', $HTTP_GET_VARS['article_file']);

if (isset($HTTP_GET_VARS['article_file']) && @is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$HTTP_GET_VARS['article_file']) && @is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir'].'/'.$month_dir.'/'.$news_file)) {
  $header_file = '/header_article.tpl'.$NWCONF_SYSTEM['php_ext'];
  $footer_file = '/footer_article.tpl'.$NWCONF_SYSTEM['php_ext'];

  $article_data = get_filedata($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['news_dir'].'/'.$month_dir.'/'.$news_file);
  $article_data['TIME'] = strftime('%H:%M',$HTTP_GET_VARS['article_file']);
  $article_data['ARTICLE_TEXT'] = get_article($HTTP_GET_VARS['article_file']);

  if (!isset($NW_RUNTIME['showtopic']) || $NW_RUNTIME['showtopic'] == 'all') {
    $NW_RUNTIME['showtopic'] = $article_data['TOPIC'];
  }

  if ($HTTP_GET_VARS['comment'] == 'write' or $HTTP_GET_VARS['comment'] == 'show' or $HTTP_GET_VARS['comment'] == 'writeonly')
  {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file))
	{include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file);}
	
    elseif (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file))
	{include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file);}
	
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/comment_write.tpl'))
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/comment_write.tpl');}
	
    else
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/comment_write.tpl');}
  }
  elseif ($HTTP_GET_VARS['tellafriend'] == '1' or $HTTP_GET_VARS['tellafriend'] == '2')
  {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file))
	{include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file);}
	
    elseif (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file))
	{include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file);}
	
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/tellafriend.tpl'))
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/tellafriend.tpl');}
	
    else
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/tellafriend.tpl');}
  }
  elseif ($HTTP_GET_VARS['printview'] == '1')
  {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/printview.tpl'))
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/printview.tpl');}

    else
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/printview.tpl');}
  }
  else
  {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file))
	{include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$header_file);}
	
    elseif (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file))
	{include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$header_file);}
	
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/article.tpl'))
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/article.tpl');}
	
    else
	{$tpl_article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/article.tpl');}
  }

// Counter Funktion

  if ($NW_COUNT['activate'] == true)
  {
	$id = str_replace(".txt", "", $HTTP_GET_VARS['article_file']);
	$counter_ip = $NWCONF_SYSTEM['server_path'].'data/counter/'.$id.'_ip.txt';
	$counter_txt = $NWCONF_SYSTEM['server_path'].'data/counter/'.$id.'.txt';

	$dummy_ip="0.0.0.0";

	    if (@is_file($counter_ip)){}
		else {$counter_ip = fopen($counter_ip,"w");fwrite($counter_ip, $dummy_ip);fclose($counter_ip); $counter_ip = $NWCONF_SYSTEM['server_path'].'data/counter/'.$id.'_ip.txt';}

    	if (@is_file($counter_txt)){}
		else {$counter_txt = fopen($counter_txt,"w");fwrite($counter_txt, "0");fclose($counter_txt); $counter_txt = $NWCONF_SYSTEM['server_path'].'data/counter/'.$id.'.txt';}

	$zeit=filemtime($counter_ip);
	$diff=time()-$zeit;

	if ($diff > $NW_COUNT['reload'])
	{ 
	$cip2 = fopen($counter_ip,"r+");
	fwrite($cip2, $dummy_ip);
	fclose($cip2);
	} 
	
	$datei = fopen($counter_txt,"r+");
	$counter_alt = fgets($datei, 10); 
	
	$datei2 = fopen($counter_ip,"r+"); 
	$ip_alt = fgets($datei2, 20);
	fclose($datei2); 
	
	if($ip_alt != $REMOTE_ADDR)
	{ 
	$counter_alt++;
	rewind($datei);
	fwrite($datei, $counter_alt);
	} 
	fclose($datei);

	$datei2 = fopen($counter_ip,"w");
	fwrite($datei2, $REMOTE_ADDR);
	fclose($datei2);
  }

// Tell-a-friend function  -- start
  
  if ($HTTP_GET_VARS['tellafriend'] == '2')
  {
  	$id = str_replace(".txt", "", $HTTP_GET_VARS['article_file']);
	$tellafriend_flood = $NWCONF_SYSTEM['server_path'].'data/tellafriend/'.$id.'_flood.txt';
	$dummy_email = $adminemail;

    if (@is_file($tellafriend_flood)){}
	else {$tellafriend_flood = fopen($tellafriend_flood,"w");fwrite($tellafriend_flood, $dummy_email);fclose($tellafriend_flood); $tellafriend_flood = $NWCONF_SYSTEM['server_path'].'data/tellafriend/'.$id.'_flood.txt';}

	$to = "$to_email";
	$from = "$from_email";
	$to = str_replace("\\'", "'", $to);
	$from = str_replace("\\'", "'", $from);
	$subject = "$subject";
	$message = "$message";
	$copy = $message."\n\n-------------------------------------\n".$NW_TRANSLATION['mail_tellafriend_copy']." $from - $to";
	
	$tellafriend_open = fopen($tellafriend_flood,"r");
	$tellafriend_check = fread($tellafriend_open, filesize($tellafriend_flood));
	fclose($tellafriend_open);
	
	if ($tellafriend_check == $to_email)
		{
		$tell_ok = 'reload';	
		}
		else
		{
			if (ereg("[\/]", $to_email) or ereg("[\/]", $from_email))
			{$tell_ok = 'false';}
			elseif ($to_email !="" && ereg("^[-!\#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]*@([a-zA-Z0-9-]{2,}.){0,}[a-zA-Z0-9-]{3,}(.[a-zA-Z]{2,4}){1,2}$", $to_email) and $from_email !="" && ereg("^[_a-zA-Z0-9-](.{0,1}[_a-zA-Z0-9-])*@([a-zA-Z0-9-]{2,}.){0,}[a-zA-Z0-9-]{3,}(.[a-zA-Z]{2,4}){1,2}$", $from_email))
			{ 
			mail($to, $subject, $message, "From: $from");
	
			mail($adminemail, $subject, $copy, "From: $adminemail");

			$tellafriend_check = fopen($tellafriend_flood,"w+");
			fwrite($tellafriend_check, $to_email);
			fclose($tellafriend_check);
	
			$tell_ok = 'true';
	
			} 
			else {$tell_ok = 'false';}
		}
	
	}
	
// Tell-a-friend function  -- end
  
// Comment function -- start --
  
  if ($NWCONF_COMMENT['comment'] == 'true')
  {
  	$comment_file = $NWCONF_SYSTEM['server_path'].'data/comments/'.$HTTP_GET_VARS['article_file'];
	if (!file_exists($comment_file))  fclose(fopen($comment_file,"w+"));
	
	$next = '2';
	
	// Comment write -- start --
	
	if ($HTTP_GET_VARS['comment'] == 'write')		
	{
	if($cm_content)
		{
		if ($cm_email !="" && ereg("^[-!\#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]*@([a-zA-Z0-9-]{2,}.){0,}[a-zA-Z0-9-]{3,}(.[a-zA-Z]{2,4}){1,2}$", $cm_email))
		{

		$id = str_replace(".txt", "", $HTTP_GET_VARS['article_file']);
		$comment_flood = $NWCONF_SYSTEM['server_path'].'data/comments/'.$id.'_ip.txt';
		$dummy_ip="0.0.0.0";
		if (@is_file($comment_flood)){}
		else {$comment_flood = fopen($comment_flood,"w");fwrite($comment_flood, $dummy_ip);fclose($comment_flood); $comment_flood = $NWCONF_SYSTEM['server_path'].'data/comments/'.$id.'_ip.txt';}
	
		$ip_old_get = fopen($comment_flood,"r+");
		$ip_old = fgets($ip_old_get, 20);
		fclose($ip_old_get);
		
			$open = 'on';
			function my_nl2br ($text) {
			  $retvalue = "";
			  for ($ii = 0; $ii < strlen($text); $ii++){
		    	if ($text[$ii]!=chr(13))
			      $text[$ii]=="\n" ? $retvalue .= "<BR>" : $retvalue .= $text[$ii];
			  }
			  return $retvalue;
			}

			if ($ip_old != $REMOTE_ADDR)
			{ 			
			$ip_old_get = fopen($comment_flood,"w");
			fwrite($ip_old_get, $REMOTE_ADDR);
			fclose($ip_old_get);

			  $lines=file($comment_file);
			  $num = sizeof($lines);
			  if ($num)
			  {
		    	$entry = explode ("", $lines[$num-1]); 
			    $index = $entry[0]+1;
			  } else $index = 100000;

			  $fp=fopen($comment_file,"a");

			  $cm_date = date("YmdHis"); 
			  $cm_content = addslashes($cm_content); 
			  $cm_name = addslashes($cm_name); 
			  if ($cm_name == "") $cm_name = "unbekannt"; 
			  if (!$open) $open = "";
	
			  fwrite($fp, my_nl2br(implode(array ($index, $cm_name, $cm_email, $open, $cm_hp, $cm_content, "", $cm_date) ,"")) . "\n");
			  fclose($fp);
			  $cm_subject = $NW_TRANSLATION['mail_comment_subjact'].' '.$article_data['TITLE'];
			  $cm_message_admin = "$cm_name $cm_email $cm_hp\n\n$cm_content\n\n".$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=show';
			  $cm_message_confirm = $NW_TRANSLATION['mail_comment_confirm']."\n\n$cm_name $cm_email $cm_hp\n\n$cm_content\n\n".$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=show';
			  mail($adminemail, $cm_subject, $cm_message_admin, "From: $cm_email");
			  mail($cm_email, $cm_subject, $cm_message_confirm, "From: $adminemail");
			  $cm_ok = 'true';
			}
			else {$cm_ok = 'reload';}
		}
		else {$cm_ok = 'false';}
	}
	else {$cm_ok = 'false';}
	}
	// Comment write -- end --
		
	$comment_lines = file($comment_file);
	$show_num = sizeof($comment_lines);

	if ($HTTP_GET_VARS['comment'] == 'show' or $HTTP_GET_VARS['comment'] == 'write')
	{

		if (!file_exists($comment_file))  fclose(fopen($comment_file,"w+"));

		$lines = $comment_lines;

		/* Anzahl der Seiten und weitere Variablen */

		rsort($lines); # den neuesten Eintrag zuerst

		$seiten = ceil($show_num / 10);
		if (!$z) $z = 1;
		$y = $z * 10; 
		$x = $y - 10;
		if ($y > $show_num) $y = $show_num;

		if ($show_num > 0) {
		  for ($i= $x; $i< $y ; $i++) {

		    $entry = explode ("", $lines[$i]);
		    $nr = $entry[0];
		    $name = $entry[1];
		    $open = $entry[3];
		    if ($open == "on") {
		      $email = $entry[2];
		      if (strlen($email)< 8) $email = "";
		      else $name = "<A HREF=\"mailto:$email\">$name</A>";
		    }
		    $hp = $entry[4];
		    if ($hp != "") $hp = "| <A HREF=\"$hp\" TARGET=_new>Homepage</A>";
		    $content = $entry[5];
		    $comment = $entry[6];
		    if ($comment != "") $comment = "<BR><FONT COLOR=#999999>Unser Kommentar: $kommentar</FONT>";

		    /* Formatierung des datums */
		    $date = $entry[7];
		    $year = substr($date,2,2);
		    $month = substr($date,4,2);
		    $day = substr($date,6,2);
		    $hour = substr($date,8,2);
		    $minute = substr($date,10,2);
		    $date = "$day-$month-$year | $hour:$minute";
			$content = str_replace("\\\\\\", "", $content);
    
		    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/comment.tpl'))
			{$comment_tpl = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].'/comment.tpl');}
	
		    elseif (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.'/comment.tpl'))
			{$comment_tpl = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.'/comment.tpl');}
		
			while(list($key,$comment_line) = each($comment_tpl))
				{
					$comment_line = str_replace('[--CM-NAME--]',$name,$comment_line);
				    $comment_line = str_replace('[--CM-HP--]',$hp,$comment_line);
			    	$comment_line = str_replace('[--CM-DATE--]',$date,$comment_line);
	    			$comment_line = str_replace('[--CM-CONTENT--]',$content,$comment_line);
					echo $comment_line;
		    	}
				flush();
		  }
		}
		if ($show_num > 10)
		{
		$back = $z - 1; 
		$next = $z + 1;
		}
	}
  }
  
// Comment function -- start --
  
	// check if icon.gif exists for this artcile's topic or for "default"
	if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].$article_data['TOPIC'].'/icon'.$NWCONF_SYSTEM['icon_ext']))
    $topic_icon = '<img src="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['template_dir'].$article_data['TOPIC'].'/icon'.$NWCONF_SYSTEM['icon_ext'].'" border="0" alt="'.$article_data['TOPIC'].'">';
	elseif (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'default/icon'.$NWCONF_SYSTEM['icon_ext']))
    $topic_icon = '<img src="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['template_dir'].'default/icon'.$NWCONF_SYSTEM['icon_ext'].'" border="0" alt="'.$article_data['TOPIC'].'">';
	else
	  $topic_icon = false;

  while(list($key,$line) = each($tpl_article)) {
    if ($article_data['TOPIC'] == 'all') {
      $line = str_replace('[--TOPIC--]',$NW_TRANSLATION['topic_all'],$line);
    }
    else {
      $line = str_replace('[--TOPIC--]',$article_data['TOPIC'],$line);
    }
    $line = str_replace('[--SUBTOPIC--]',$article_data['SUBTOPIC'],$line);
    $line = str_replace('[--TITLE--]',$article_data['TITLE'],$line);
    $line = str_replace('[--TIME--]',$article_data['TIME'],$line);
    $line = str_replace('[--DATE--]',$article_data['DATE'],$line);
    if ($article_data['CHANGEDDATE']) {
      $markchanged = str_replace('[--DATE--]',$article_data['CHANGEDDATE'],$NW_TRANSLATION['news_markchanged']);
      $markchanged = str_replace('[--AUTHOR--]',$article_data['CHANGEDBY'],$markchanged);
      $line = str_replace('[--CHANGED--]',$markchanged,$line);
    }
    else {
      $line = str_replace('[--CHANGED--]','',$line);
    }
    if ($article_data['LINK']) {
      $news_url = preg_replace('#<a href="([^"]*)".+?</a>#i','\\1',$article_data['LINK']);
      $news_lname = preg_replace('#<[^>]*>#','',$article_data['LINK']);
      if (!strstr($news_url,'http://') && !strstr($news_url,'ftp://') && strpos($news_url,'/') != 0 && strpos($news_url,'.') != 0) {
        $news_url = 'http://'.$news_url;
      }
      $link_tag = '<a href="'.$news_url.'"';
      if (strstr($article_data['LINK'],'target="_blank"')) {
        $link_tag .= ' target="_blank"';
      }
      $link_tag .= '>'.$news_lname.'</a>';
      $line = str_replace('[--LINK--]',$NW_TRANSLATION['layout_linkleft'].$link_tag.$NW_TRANSLATION['layout_linkright'],$line);
    }
    else {
      $line = str_replace('[--LINK--]','',$line);
    }
    if ($article_data['IMAGE2']) {
      list($img2_url, $img2_align) = explode ('***',$article_data['IMAGE2']);
      $img_tag = '<table border="0" cellspacing="0" cellpadding="'.$NWCONF_DISPLAY['image_space'].'"';
      if ($img2_align != 'ontop') {
        $img_tag .= ' align="'.$img2_align.'"';
      }
      $img_tag .= '><tr><td align="center"><img src="'.$img2_url.'" border="0" alt="'.$article_data['TITLE'].'" vspace="0" hspace="0">';
      if ($article_data['IMAGE2TEXT']) {
        $img_tag .= '<br /><span class="imgtext">'.$article_data['IMAGE2TEXT'].'</span>';
      }
      $img_tag .= '</td></tr></table>';
      if ($img2_align == 'ontop') {
        $img_tag .= '<br clear="all">';
      }
      $line = str_replace('[--IMAGE--]',$img_tag,$line);
    }
    else {
      $line = str_replace('[--IMAGE--]','',$line);
    }
    if ($article_data['URL']) {
      $line = str_replace('[--AUTHOR--]','<a href="'.$article_data['URL'].'">'.$article_data['NAME'].'</a>',$line);
    }
    elseif ($article_data['EMAIL']) {
      $line = str_replace('[--AUTHOR--]','<a href="mailto:'.$article_data['EMAIL'].'">'.$article_data['NAME'].'</a>',$line);
    }
    else {
      $line = str_replace('[--AUTHOR--]',$article_data['NAME'],$line);
    }
    if ($NWCONF_DISPLAY['enable_print']) {
      $line = str_replace('[--NAVIGATION--]',
                          $NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path']
                          .$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&showtopic='.$NW_RUNTIME['showtopic'].'">'
                          .$NW_TRANSLATION['nav_news'].'</a>'.$NW_TRANSLATION['layout_navright']
                          .$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path']
                          .$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&nwmode=archiv&showtopic='
                          .$NW_RUNTIME['showtopic'].'">'.$NW_TRANSLATION['nav_archiv'].'</a>'
                          .$NW_TRANSLATION['layout_navright'].$NW_TRANSLATION['layout_navleft'].'<a href="'
                          .$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='
                          .$HTTP_GET_VARS['article_file'].'&printview=1" target="_blank">'
                          .$NW_TRANSLATION['nav_printview'].'</a>'.$NW_TRANSLATION['layout_navright'],
                          $line);
    }
    else {
      $line = str_replace('[--NAVIGATION--]',
                          $NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path']
                          .$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&showtopic='.$NW_RUNTIME['showtopic'].'">'
                          .$NW_TRANSLATION['nav_news'].'</a>'.$NW_TRANSLATION['layout_navright']
                          .$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path']
                          .$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&nwmode=archiv&showtopic='
                          .$NW_RUNTIME['showtopic'].'">'.$NW_TRANSLATION['nav_archiv'].'</a>'
                          .$NW_TRANSLATION['layout_navright'],
                          $line);
    }
// Counter integration
	if ($NW_COUNT['activate'] == true) {$line = str_replace('[--COUNTER--]',$counter_alt,$line);}

// Comment integration
    $line = str_replace('[--COMMENT--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=show" class="comment">'.$NW_TRANSLATION['nav_comment'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);
	
	if($show_num == 1){$line = str_replace('[--COMMENT-READ--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=show" class="comment">'.$NW_TRANSLATION['nav_comment_read_one'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);}
	elseif($show_num > 1){$line = str_replace('[--COMMENT-READ--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=show" class="comment">'.$NW_TRANSLATION['nav_comment_read_more'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);}
	else{$line = str_replace('[--COMMENT-READ--]','',$line);}
	if($show_num < 1) {$line = str_replace('[--COMMENT-WRITE--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=writeonly" class="comment">'.$NW_TRANSLATION['nav_comment_write_first'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);}
	else{$line = str_replace('[--COMMENT-WRITE--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=writeonly" class="comment">'.$NW_TRANSLATION['nav_comment_write'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);}
	if ($HTTP_GET_VARS['comment'] != 'writeonly' and $back != 0)
	{$line = str_replace('[--COMMENT-BACK--]','<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=show&z='.$back.'" class="comment">'.$NW_TRANSLATION['nav_comment_back'].'</a>',$line);}
	else {$line = str_replace('[--COMMENT-BACK--]','',$line);}
	if ($HTTP_GET_VARS['comment'] != 'writeonly' and $next <= $seiten)
	{$line = str_replace('[--COMMENT-NEXT--]','<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=show&z='.$next.'" class="comment">'.$NW_TRANSLATION['nav_comment_next'].'</a>',$line);}
	else {$line = str_replace('[--COMMENT-NEXT--]','',$line);}
    $line = str_replace('[--COMMENT-SEND--]',$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&showtopic='.$NW_RUNTIME['showtopic'].'&comment=write',$line);
    $line = str_replace('[--COMMENT-COUNT--]',$show_num,$line);
	if ($cm_ok == 'true')
	{$line = str_replace('[--COMMENT-TEXT--]',$NW_TRANSLATION['nav_comment_true'],$line);
	$line = str_replace('[--CM-NAME--]','',$line);
	$line = str_replace('[--CM-EMAIL--]','',$line);
	$line = str_replace('[--CM-HP--]','',$line);
	$line = str_replace('[--CM-CONTENT--]','',$line);}
	if ($cm_ok == 'false')
	{$line = str_replace('[--COMMENT-TEXT--]',$NW_TRANSLATION['nav_comment_false'],$line);
	$line = str_replace('[--CM-NAME--]',$cm_name,$line);
	$line = str_replace('[--CM-EMAIL--]',$cm_email,$line);
	$line = str_replace('[--CM-HP--]',$cm_hp,$line);
	$line = str_replace('[--CM-CONTENT--]',$cm_content,$line);}
	elseif ($cm_ok == 'reload')
	{$line = str_replace('[--COMMENT-TEXT--]',$NW_TRANSLATION['nav_comment_reload'],$line);
	$line = str_replace('[--CM-NAME--]','',$line);
	$line = str_replace('[--CM-EMAIL--]','',$line);
	$line = str_replace('[--CM-HP--]','',$line);
	$line = str_replace('[--CM-CONTENT--]','',$line);}
	else
	{$line = str_replace('[--COMMENT-TEXT--]','',$line);
	$line = str_replace('[--CM-NAME--]','',$line);
	$line = str_replace('[--CM-EMAIL--]','',$line);
	$line = str_replace('[--CM-HP--]','',$line);
	$line = str_replace('[--CM-CONTENT--]','',$line);}

// Only print link
    $line = str_replace('[--PRINT--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$article_file.'&printview=1" target="_blank" class="print">'.$NW_TRANSLATION['nav_printview'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);

// Only actual news link

	$line = str_replace('[--ACTUAL-NEWS--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&showtopic='.$NW_RUNTIME['showtopic'].'" class="actualnews">'.$NW_TRANSLATION['nav_news'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);

// Only archive link

	$line = str_replace('[--ARCHIVE--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file'].'?nwaction=shownews&nwmode=archiv&showtopic='.$NW_RUNTIME['showtopic'].'" class="archive">'.$NW_TRANSLATION['nav_archiv'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);

//Tell-A-Friend links and integration
    $line = str_replace('[--TELLAFRIEND--]',$NW_TRANSLATION['layout_navleft'].'<a href="'.$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$HTTP_GET_VARS['article_file'].'&tellafriend=1" class="tellafriend">'.$NW_TRANSLATION['nav_tellafriend'].'</a>'.$NW_TRANSLATION['layout_navright'],$line);
    $line = str_replace('[--TELLAFRIEND-SEND--]',$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$HTTP_GET_VARS['article_file'].'&tellafriend=2',$line);
	$article_data['TELLAFRIEND-TEXT'] = str_replace("<br />", "\n", $article_data['TEXT']);
	$article_data['TELLAFRIEND-TEXT'] = str_replace("<br>", "\n", $article_data['TELLAFRIEND-TEXT']);
    $line = str_replace('[--TELLAFRIEND-SHORTTEXT--]',$article_data['TELLAFRIEND-TEXT'],$line);	
	if ($tell_ok == 'false')
	{$line = str_replace('[--TELLAFRIEND-TEXT--]',$NW_TRANSLATION['nav_tellafriend_false'],$line);
	$line = str_replace('[--TO-EMAIL--]',$to_email,$line);
	$line = str_replace('[--FROM-EMAIL--]',$from_email,$line);}
	elseif ($tell_ok == 'true')
	{$line = str_replace('[--TELLAFRIEND-TEXT--]',$NW_TRANSLATION['nav_tellafriend_true'],$line);
	$line = str_replace('[--TO-EMAIL--]','',$line);
	$line = str_replace('[--FROM-EMAIL--]','',$line);}
	elseif ($tell_ok == 'reload')
	{$line = str_replace('[--TELLAFRIEND-TEXT--]',$NW_TRANSLATION['nav_tellafriend_reload'],$line);
	$line = str_replace('[--TO-EMAIL--]','',$line);
	$line = str_replace('[--FROM-EMAIL--]','',$line);}
	else
	{$line = str_replace('[--TELLAFRIEND-TEXT--]','',$line);
	$line = str_replace('[--TO-EMAIL--]','',$line);
	$line = str_replace('[--FROM-EMAIL--]','',$line);}
	
// Plain Link of Article
    if ($NWCONF_SYSTEM['readable_urls'] == true)
	{$line = str_replace('[--URL--]',$NWCONF_SYSTEM['domain_path'].'article/'.$article_data['TOPIC'].'/'.$id.'.html',$line);}
    else{$line = str_replace('[--URL--]',$NWCONF_SYSTEM['domain_path'].'article'.$NWCONF_SYSTEM['php_ext'].'?article_file='.$HTTP_GET_VARS['article_file'],$line);}

    $line = str_replace('[--ICON--]', $topic_icon, $line);
	$line = str_replace('[--LONGTEXT--]',$article_data['ARTICLE_TEXT'],$line);
    $line = str_replace('[--SHORTTEXT--]',$article_data['TEXT'],$line);
    if (strstr($line,'[--NEWSINDEX--]')) {
      $news_count = $article_newscount;
      list($l1,$l2) = explode('[--NEWSINDEX--]',$line);
      echo $l1;
      newsindex($news_count);
      echo $l2;
    }
    else {
      echo $line;
    }
  }

  if ($HTTP_GET_VARS['printview'] != '1') {
    if (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$footer_file)) {
      include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/'.$article_data['TOPIC'].$footer_file);
    }
    elseif (@is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$footer_file)) {
      include($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['template_dir'].'/default'.$footer_file);
    }
  }
}
else {
  header ('Location: '.$NWCONF_SYSTEM['domain_path'].$NWCONF_SYSTEM['index_file']);
}
?>