<?php
/*
 Newswriter v2.56
 PHP Newsmanagement System
 Copyright (C) 2000-2002 Philipp Wolfer

 imgprview.php, last change: 30.07.2002

 file for displaying image previews
*/

 $config_only = true;
 require('./conf.php');
 require($NWCONF_SYSTEM['server_path'].'include/initvars.inc'.$NWCONF_SYSTEM['php_ext']);
 require($NWCONF_SYSTEM['server_path'].'include/userfunc.inc'.$NWCONF_SYSTEM['php_ext']);
 require($NWCONF_SYSTEM['server_path'].'include/checkpass.inc'.$NWCONF_SYSTEM['php_ext']);
 check_password();
?>
<html>
<head>
<title><?php echo $NW_TRANSLATION['images_preview'] ?></title>
<style type="text/css">
<!--
a:link{color:#005090}
a:visited{color:#006060}
a:active{color:#0080C0}
a:hover{color:#0080C0}
body{margin-left:0px;margin-right:0px;margin-top:0px;margin-bottom:0px}
td,p,ul,div{font-family:Verdana,sans-serif;font-size:9pt}
//-->
</style>
</head>
<body color="#000000" bgcolor="#FFFFFF" onLoad="javascript:self.focus()">
<!--
 Newswriter v2.56
 PHP-Newsmanagement
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 ---
 PHP-Script von Philipp Wolfer
 webmaster@newswriter.org
 http://www.newswriter.org
 ---
//-->
<?php
  if ($HTTP_POST_VARS['delconfirm'] == 'true' && isset($HTTP_POST_VARS['image']))
  {
    $imgfile = $NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['data_dir'].'/images/'.basename($HTTP_POST_VARS['image']);
    if(is_file($imgfile))
      unlink($imgfile);
    echo "FUCK";
  }
?>
<table border="0" width="100%" cellspacing="0" cellpadding="4"><tr bgcolor="#BDDEEE"><td>
<table border="0" width="610"><tr><td valign="top">
<span style="font-family:Verdana,Arial,sans-serif"><span style="font-size:10pt"><b><?php echo $NW_TRANSLATION['images_preview'] ?></b><br /></span>
<table border="0" cellspacing="0" cellpadding="0">
<tr><td style="font-size:8pt"><b><?php echo $NW_TRANSLATION['images_url']; ?>&nbsp;</b></td><td style="font-size:8pt"><?php echo $HTTP_GET_VARS['image'] ?></td></tr>
<?php
  $urlinfo = parse_url($HTTP_GET_VARS['image']);
?>
<tr><td style="font-size:8pt"><b><?php echo $NW_TRANSLATION['images_server']; ?>&nbsp;</b></td><td style="font-size:8pt">
<?php
if (isset($urlinfo['scheme']) && isset($urlinfo['host'])) {
  echo $urlinfo['scheme'].'://'.$urlinfo['host'];
}
elseif (is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['data_dir'].'/images/'.basename($HTTP_GET_VARS['image']))) {
  echo $NW_TRANSLATION['images_local'].' (Newswriter)';
  $nwimage = true;
}
elseif (substr($HTTP_GET_VARS['image'], 0, 1) == '/') {
  echo $NW_TRANSLATION['images_local'];
}
else {
  echo $NW_TRANSLATION['unknown'];
}
?></td></tr>
<?php
  $imginfo = @getimagesize($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['data_dir'].'/images/'.basename($HTTP_GET_VARS['image']));
?>
<tr><td style="font-size:8pt"><b><?php echo $NW_TRANSLATION['images_type']; ?>&nbsp;</b></td><td style="font-size:8pt">
<?php
 switch ($imginfo[2]) {
   case 1:
     $imgtype = 'GIF';
     break;
   case 2:
     $imgtype = 'JPG';
     break;
   case 3:
     $imgtype = 'PNG';
     break;
   case 4:
     $imgtype = 'SWF';
     break;
   case 5:
     $imgtype = 'PSD';
     break;
   case 6:
     $imgtype = 'BMP';
     break;
   default:
     $imgtype = $NW_TRANSLATION['unknown'];
 }
 echo $imgtype;
?>
</td></tr>
<tr><td style="font-size:8pt"><b><?php echo $NW_TRANSLATION['images_size']; ?>&nbsp;</b></td><td style="font-size:8pt">
<?php
if ($imginfo)
  echo $imginfo[0].' x '.$imginfo[1];
else
  echo $NW_TRANSLATION['unknown'];
?></td></tr>
<tr><td style="font-size:8pt"><b><?php echo $NW_TRANSLATION['images_filesize']; ?>&nbsp;</b></td><td style="font-size:8pt">
<?php
  if(isset($nwimage)) {
    $size = @filesize($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['data_dir'].'/images/'.basename($HTTP_GET_VARS['image'])) / 1024;
    echo $size.' KB';
  }
  else
    echo $NW_TRANSLATION['unknown'];
?></td></tr>
</table>
</td>
<?php if(isset($nwimage)) : ?>
<td align="right">
<table border="0"><tr><td>
<!--<input type="button" value="<?php echo $NW_TRANSLATION['closewindow'] ?>" onClick="javascript:self.close()">//-->
<!-- "delete image" form //-->
<form action="imgpreview.php" method="post" enctype="text/plain">
<input type="hidden" name="image" value="<?php echo $HTTP_POST_VARS['image']; ?>">
<input type="hidden" name="nwlogin" value="<?php echo $NW_RUNTIME['nwlogin']; ?>">
<input type="hidden" name="nwpassword" value="<?php echo $NW_RUNTIME['nwpassword']; ?>">
<input type="checkbox" name="delconfirm" value="true"><?php echo $NW_TRANSLATION['images_delete'] ?><br />
<input type="submit" value="<?php echo $NW_TRANSLATION['images_deleteconfirm']; ?>">
</form>
<a href="javascript:self.close()"><?php echo $NW_TRANSLATION['closewindow']; ?></a>
</td></tr></table>
</td>
<?php endif;?>
</tr></table>
</td></tr><tr><td align="center" valign="center" colspan="2" height="375">
<table border="0" cellspacing="0" cellpadding="<?php echo $NWCONF_DISPLAY['image_space']; ?>"><tr><td>
<img src="<?php echo $HTTP_GET_VARS['image']; ?>" border="0">
<?php if (isset($HTTP_GET_VARS['imgtext'])) : ?>
</td></tr>
<tr><td align="center">
<?php echo $HTTP_GET_VARS['imgtext']; ?>
</td></tr>
<?php endif; ?>
</table>
</td></tr></table>
</body>
</html>

