<?php
/*
 Newswriter v2.55
 PHP News Management System
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 images.inc.php, last change: 28.10.2001

 Functions used by newswriter for file operations:
  * get_complete_dirlist(string directory, boolean sort)  (line 20)
*/

// Bilderliste des Bilduploadverzeichnisses erstellen:
function get_complete_dirlist($dir, $sort = true)
{
  if ($dir && @is_dir($dir)) {
    $dirhandle = opendir($dir);
    while($file = readdir($dirhandle)) {
      if (@is_file($dir.'/'.$file))
        $filelist[] = $dir.'/'.$file;
    }
    closedir($dirhandle);
    if ($filelist && $sort)
      sort($filelist);
    return $filelist;
  }
  else {
    return false;
  }
}
?>
